Bug 258232 - kickoff settings menu is empty when the kde system settings in the only entry present
Summary: kickoff settings menu is empty when the kde system settings in the only entry...
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-kickoff (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-29 00:10 UTC by Greg Bouzakis
Modified: 2011-12-06 23:23 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Bouzakis 2010-11-29 00:10:18 UTC
Version:           unspecified (using KDE 4.5.1) 
OS:                Linux

Kickoff settings menu is empty when the kde system settings in the only entry present.
Even if there are other entries, system settings in never visible in the Kickoff settings menu.

Reproducible: Always

Steps to Reproduce:
Open kickoff menu, navigate to settings.

Actual Results:  
No System Settings entry

Expected Results:  
The Settings menu is populated.
Comment 1 Marco Martin 2010-11-29 17:06:41 UTC
what distribution is it?
KDE is packaged or compiled from sources?
Comment 2 Greg Bouzakis 2010-11-29 19:22:49 UTC
Like i selected during installation, and its visible below, KDE is compiled from sources.
Its actually a customised Slackware installation using the distributions KDE scripts so its very much vanilla.
On machines where i have the nvidia blob installed and/or jre theres other entries under Settings, still no (KDE) System Settings.
The only way to launch the Settings from the Kickoff menu is to go to the Computer tab.
If you go from Applications, its simply not there.
Comment 3 Greg Bouzakis 2010-11-29 19:25:10 UTC
Another fact to note, is that if you use the menu editor, you *can* see System Settings in the Settings menu, (again) just not in Kickoff.
Comment 4 Greg Bouzakis 2010-11-29 19:27:32 UTC
Errm sorry about the multiple comments, but in my second comment in the beggining when i say "Like i selected during installation" i mean "Like i selected in the bug reporting wizard (in the KDE bugzilla)".
Comment 5 Giorgos Tsiapaliokas 2010-12-31 16:56:22 UTC
are u still facing the same issue or not?

if yes which kde version and distro do u have?
Comment 6 Aaron J. Seigo 2011-12-06 23:23:47 UTC
Git commit 8e676d7324973066a16b07d857d13b0b77d37838 by Aaron Seigo.
Committed on 07/12/2011 at 00:22.
Pushed by aseigo into branch 'master'.

show system settings in app list

it's ostensibly still wrong (it's right there in the System area, after all) but
user expectations are near impossible to reshape in this area. *sigh*

BUG:258232

M  +2    -2    plasma/desktop/applets/kickoff/core/applicationmodel.cpp

http://commits.kde.org/kde-workspace/8e676d7324973066a16b07d857d13b0b77d37838